	function dix_dcl_parse_table(string,my_get_input,quiet)
        implicit none
c
c A shell around cli$dcl_parse, since vax/alpha/ia64 have different 
c  calling for externals
c
	include 'dix_def.inc'
        character*(*) string	!:i: the line to parse
	integer*4 my_get_input  !:i: the routine to get input
	external my_get_input	!
	logical*4 quiet		!:i: do not signal errors
        integer dix_dcl_parse_table	!:f: result
c#
        integer cli$dcl_parse
cdec$	attributes extern :: dix_cld
	integer*4 dix_cld
c
	external ignore_message
c
	if(quiet) call lib$establish(ignore_message)
	dix_dcl_parse_table = cli$dcl_parse(string,dix_cld,
     1          my_get_input,my_get_input)
	if(quiet) call lib$revert
        return
        end
	function dix_dcl_parse_table_int(string,my_get_input,quiet)
        implicit none
c
c A shell around cli$dcl_parse, since vax/alpha/ia64 have different 
c  calling for externals
c
	include 'dix_def.inc'
        character*(*) string		!:i: the line to parse
	logical*4 quiet			!:i: ignore messages
	integer*4 my_get_input		!:i: the routine to get input
	external my_get_input		!
        integer dix_dcl_parse_table_int	!:f: result
c#
        integer cli$dcl_parse
	external ignore_message
c
cdec$	attributes extern :: dix_int_cld
	integer*4 dix_int_cld
c
	if(quiet) call lib$establish(ignore_message)
	dix_dcl_parse_table_int = cli$dcl_parse(string,dix_int_cld,
     1          my_get_input,my_get_input)
	if(quiet) call lib$revert
        return
        end
